Description

Al rellenar datos seleccionados con la calculadora de campos ha rellenado todos los registros, perdiéndose todos los valores de ese
campo.

Pasos seguidos: 
1- Seleccionar elementos de una capa 
2- Abrir tabla y seleccionar campo a rellenar 
3- Calculadora de campos, y rellenar con un texto los valores seleccionados. Se rellenan bien. 
4- Seleccionamos otro campo manteniendo esos elementos seleccionados (eran pocos, no recuerdo cuántos, imaginemos 7; en la
tabla ponía seleccionados 7/28000, con lo que debían estar seleccionados). 
5- Rellenamos con un texto esos registros en el nuevo campo y actualiza los 28000 registros, no los 7 seleccionados, con lo que se
han perdido todos los datos de ese campo al no poder deshacer.

Ha ocurrido con la 2.5.1 final, pero imagino que puede seguir pasando en la 2.6.

***Nota: Al intentar reproducirlo ahora con otra capa, de 3 registros, he visto que tras rellenar la primera vez ponía en la tabla
"Seleccionados 1/3", pero no estaba en amarillo el registro (yo no había borrado selección), y en la calculadora de campos ponía
"Actualizar todos" (a mi me sonaba que ponía Actualizar seleccionados la primera vez, pero no puedo confirmarlo). Se han rellenado
todos en lugar de ese que estaba seleccionado. Parece que no estaba detectando del todo que había seleccionados.

Adjunto log del primer caso.

Associated revisions
Revision 47421 - 07/28/2023 09:58 AM - Francisco Díaz Carsí

refs #5732 Modificaciones para resolver problemas en el refresco de la tabla  al ajecutar la calculadora de  campos

History
#1 - 07/28/2023 12:57 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Assignee changed from Joaquín  del Cerro Murciano to Francisco Díaz Carsí
- Status changed from New to Fixed
Se ha comprobado que  en el build 3325 también ocurría.
Se ha corregido.
El enlace a los cambios en el script es:
https://github.com/gvSIGAssociation/gvsig-desktop-scripting-FieldCalculatorTool/commit/326b853a9bcf89e7c6b2dea59a72291b356c7c33

#2 - 07/31/2023 01:24 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3328

#3 - 08/03/2023 02:18 PM - Álvaro Anguix
- Status changed from Fixed to Closed
